# StatisticsClassification.PrecisionRecallMatrix (ARX GUI Documentation)

org.deidentifier.arx.aggregates

## Class StatisticsClassification.PrecisionRecallMatrix

- java.lang.Object
- - org.deidentifier.arx.aggregates.StatisticsClassification.PrecisionRecallMatrix

- Enclosing class:
    StatisticsClassification

      public static class StatisticsClassification.PrecisionRecallMatrix
      extends java.lang.Object

  A matrix mapping confidence thresholds to precision and recall

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatisticsClassification.PrecisionRecallMatrix()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `getConfidenceThresholds()`
    `double[]` | `getPrecision()`
    `double[]` | `getRecall()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticsClassification.PrecisionRecallMatrix

          public StatisticsClassification.PrecisionRecallMatrix()

  - ### Method Detail

    - #### getConfidenceThresholds

          public double[] getConfidenceThresholds()

      Returns:
        the confidence thresholds

    - #### getPrecision

          public double[] getPrecision()

      Returns:
        the precision

    - #### getRecall

          public double[] getRecall()

      Returns:
        the recall